# Relates to https://gitlab.com/gitlab-org/gitlab/-/issues/465686
resource_rules:
  issues:
    rules:
      - name: Automatically apply ~"analytics instrumentation" label when ~"feature::addition" and ~"workflow::ready for development" labels are applied
        conditions:
          state: opened
          labels:
            - "feature::addition"
            - "workflow::ready for development"
          forbidden_labels:
            - "analytics instrumentation"
          date:
            attribute: created_at
            condition: newer_than
            interval_type: days
            interval: 1

        actions:
          labels:
            - "analytics instrumentation"
          comment: |
            The ~"analytics instrumentation" label is automatically applied when ~"feature::addition" and ~"workflow::ready for development" labels are applied. We encourage teams to plan for instrumentation at the time of feature development for new features. This label helps ~"group::analytics instrumentation" to proactively reach out to teams that require instrumentation support. In case instrumentation does not apply to this feature, please feel free to remove the label.
